cordova.define("matrix.cordova.auth.Auth", function(require, exports, module) {

var exec = require('cordova/exec');

var auth = {
     init:function(succ,fail) {
		exec(succ,fail, "Auth", "init", []);
    },
    getAuthenticators:function(succ,fail) {
        exec(succ, fail, "Auth", "getAuthenticators");
    },
	registerUser:function(succ,fail, rpReq) {
        exec(succ,fail, "Auth", "registerUser", [rpReq]);
    },
	completeRegistration:function(succ,fail, rpReq, resCode) {
        exec(succ,fail, "Auth", "completeRegistration", [rpReq, resCode]);
    },
    authenticateUser:function(succ,fail, rpReq) {
        exec(succ,fail, "Auth", "authenticateUser", [rpReq]);
    },
	completeAuthentication:function(succ,fail, rpReq, resCode) {
        exec(succ,fail, "Auth", "completeAuthentication", [rpReq, resCode]);
    },
	deregisterUser:function(succ,fail, rpReq) {
        exec(succ,fail, "Auth", "deregisterUser", [rpReq]);
    },
	deregisterAll:function(succ,fail) {
        exec(succ,fail, "Auth", "deregisterAll");
    },
    pinIsSetup:function(succ,fail) {
        exec(succ,fail, "Auth", "pinIsSetup");
    },
    bioIsAvailable:function(succ,fail) {
        exec(succ,fail, "Auth", "bioIsAvailable");
    }
};

module.exports = auth;


});
